
Project Alias - Patch #2341

Underscore support for Redmine

15 Oct 2014 21:42 - Ingvarr Zhmakin

Status: Under Verification Start date: 15 Oct 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.1.1   

Redmine version:  External issue:  

Description

Simple patch fixing the issue, but dropping the compatibility with old redmine:

===================================================================

--- project_alias.rb    (revision 19)

+++ project_alias.rb    (working copy)

@@ -4,7 +4,7 @@

     if defined? ChiliProject

         IDENTIFIER_RE = /^(?!\d+$)[a-z0-9\-_]*$/

     else

-        IDENTIFIER_RE = /^(?!\d+$)[a-z0-9\-]*$/

+        IDENTIFIER_RE = /^(?!\d+$)[a-z0-9\-_]*$/

     end

     validates_presence_of :project, :alias

History

#1 - 15 Oct 2014 21:43 - Ingvarr Zhmakin

Sorry. Forgotten preformat.

===================================================================

--- project_alias.rb    (revision 19)

+++ project_alias.rb    (working copy)

@@ -4,7 +4,7 @@

     if defined? ChiliProject

         IDENTIFIER_RE = /^(?!\d+$)[a-z0-9\-_]*$/

     else

-        IDENTIFIER_RE = /^(?!\d+$)[a-z0-9\-]*$/

+        IDENTIFIER_RE = /^(?!\d+$)[a-z0-9\-_]*$/

     end

     validates_presence_of :project, :alias

#2 - 31 Aug 2016 07:53 - Andriy Lesyuk
- Description updated

#3 - 31 Aug 2016 07:55 - Andriy Lesyuk

- Status changed from New to Under Verification

- Target version set to 0.1.1
